

  .btnx {
	display: inline-block;
	font-weight: 400;
	text-align: center;
	white-space: nowrap;
	vertical-align: middle;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	border: 1px solid transparent;
	padding: 0.375rem 0.75rem;
	font-size: 1rem;
	line-height: 1.5;
	border-radius: 0.25rem;
	transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  }
  
  .btnx:hover, .btnx:focus {
	text-decoration: none;
  }
  
  .btnx:focus, .btnx.focus {
	outline: 0;
	box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
  }
  
  .btnx.disabled, .btnx:disabled {
	opacity: 0.65;
  }
  
  .btnx:not(:disabled):not(.disabled) {
	cursor: pointer;
  }
  
  .btnx:not(:disabled):not(.disabled):active, .btnx:not(:disabled):not(.disabled).active {
	background-image: none;
  }
  
  
  
  .btnx-primary {
	color: #fff !important;
	background-color: #007bff;
	border-color: #007bff;
  }
  
  .btnx-primary:hover {
	color: #fff;
	background-color: #0069d9;
	border-color: #0062cc;
  }
  
  .btnx-primary:focus, .btnx-primary.focus {
	box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.5);
  }
  
  .btnx-primary.disabled, .btnx-primary:disabled {
	color: #fff;
	background-color: #007bff;
	border-color: #007bff;
  }
  
  .btnx-primary:not(:disabled):not(.disabled):active, .btnx-primary:not(:disabled):not(.disabled).active,
  .show > .btnx-primary.dropdown-toggle {
	color: #fff;
	background-color: #0062cc;
	border-color: #005cbf;
  }
  
  .btnx-primary:not(:disabled):not(.disabled):active:focus, .btnx-primary:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-primary.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.5);
  }
  
  .btnx-secondary {
	color: #fff;
	background-color: #6c757d;
	border-color: #6c757d;
  }
  
  .btnx-secondary:hover {
	color: #fff;
	background-color: #5a6268;
	border-color: #545b62;
  }
  
  .btnx-secondary:focus, .btnx-secondary.focus {
	box-shadow: 0 0 0 0.2rem rgba(108, 117, 125, 0.5);
  }
  
  .btnx-secondary.disabled, .btnx-secondary:disabled {
	color: #fff;
	background-color: #6c757d;
	border-color: #6c757d;
  }
  
  .btnx-secondary:not(:disabled):not(.disabled):active, .btnx-secondary:not(:disabled):not(.disabled).active,
  .show > .btnx-secondary.dropdown-toggle {
	color: #fff;
	background-color: #545b62;
	border-color: #4e555b;
  }
  
  .btnx-secondary:not(:disabled):not(.disabled):active:focus, .btnx-secondary:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-secondary.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(108, 117, 125, 0.5);
  }
  
  .btnx-success {
	color: #fff !important;
	background-color: #28a745;
	border-color: #28a745;
  }
  
  .btnx-success:hover {
	color: #fff;
	background-color: #218838;
	border-color: #1e7e34;
  }
  
  .btnx-success:focus, .btnx-success.focus {
	box-shadow: 0 0 0 0.2rem rgba(40, 167, 69, 0.5);
  }
  
  .btnx-success.disabled, .btnx-success:disabled {
	color: #fff;
	background-color: #28a745;
	border-color: #28a745;
  }
  
  .btnx-success:not(:disabled):not(.disabled):active, .btnx-success:not(:disabled):not(.disabled).active,
  .show > .btnx-success.dropdown-toggle {
	color: #fff;
	background-color: #1e7e34;
	border-color: #1c7430;
  }
  
  .btnx-success:not(:disabled):not(.disabled):active:focus, .btnx-success:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-success.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(40, 167, 69, 0.5);
  }
  
  .btnx-info {
	color: #fff !important;
	background-color: #17a2b8;
	border-color: #17a2b8;
  }
  
  .btnx-info:hover {
	color: #fff;
	background-color: #138496;
	border-color: #117a8b;
  }
  
  .btnx-info:focus, .btnx-info.focus {
	box-shadow: 0 0 0 0.2rem rgba(23, 162, 184, 0.5);
  }
  
  .btnx-info.disabled, .btnx-info:disabled {
	color: #fff;
	background-color: #17a2b8;
	border-color: #17a2b8;
  }
  
  .btnx-info:not(:disabled):not(.disabled):active, .btnx-info:not(:disabled):not(.disabled).active,
  .show > .btnx-info.dropdown-toggle {
	color: #fff;
	background-color: #117a8b;
	border-color: #10707f;
  }
  
  .btnx-info:not(:disabled):not(.disabled):active:focus, .btnx-info:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-info.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(23, 162, 184, 0.5);
  }
  
  .btnx-warning {
	color: #212529;
	background-color: #ffc107;
	border-color: #ffc107;
  }
  
  .btnx-warning:hover {
	color: #212529;
	background-color: #e0a800;
	border-color: #d39e00;
  }
  
  .btnx-warning:focus, .btnx-warning.focus {
	box-shadow: 0 0 0 0.2rem rgba(255, 193, 7, 0.5);
  }
  
  .btnx-warning.disabled, .btnx-warning:disabled {
	color: #212529;
	background-color: #ffc107;
	border-color: #ffc107;
  }
  
  .btnx-warning:not(:disabled):not(.disabled):active, .btnx-warning:not(:disabled):not(.disabled).active,
  .show > .btnx-warning.dropdown-toggle {
	color: #212529;
	background-color: #d39e00;
	border-color: #c69500;
  }
  
  .btnx-warning:not(:disabled):not(.disabled):active:focus, .btnx-warning:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-warning.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(255, 193, 7, 0.5);
  }
  
  .btnx-danger {
	color: #fff !important;
	background-color: #dc3545;
	border-color: #dc3545;
  }
  
  .btnx-danger:hover {
	color: #fff;
	background-color: #c82333;
	border-color: #bd2130;
  }
  
  .btnx-danger:focus, .btnx-danger.focus {
	box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.5);
  }
  
  .btnx-danger.disabled, .btnx-danger:disabled {
	color: #fff;
	background-color: #dc3545;
	border-color: #dc3545;
  }
  
  .btnx-danger:not(:disabled):not(.disabled):active, .btnx-danger:not(:disabled):not(.disabled).active,
  .show > .btnx-danger.dropdown-toggle {
	color: #fff;
	background-color: #bd2130;
	border-color: #b21f2d;
  }
  
  .btnx-danger:not(:disabled):not(.disabled):active:focus, .btnx-danger:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-danger.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.5);
  }
  
  .btnx-light {
	color: #212529;
	background-color: #f8f9fa;
	border-color: #f8f9fa;
  }
  
  .btnx-light:hover {
	color: #212529;
	background-color: #e2e6ea;
	border-color: #dae0e5;
  }
  
  .btnx-light:focus, .btnx-light.focus {
	box-shadow: 0 0 0 0.2rem rgba(248, 249, 250, 0.5);
  }
  
  .btnx-light.disabled, .btnx-light:disabled {
	color: #212529;
	background-color: #f8f9fa;
	border-color: #f8f9fa;
  }
  
  .btnx-light:not(:disabled):not(.disabled):active, .btnx-light:not(:disabled):not(.disabled).active,
  .show > .btnx-light.dropdown-toggle {
	color: #212529;
	background-color: #dae0e5;
	border-color: #d3d9df;
  }
  
  .btnx-light:not(:disabled):not(.disabled):active:focus, .btnx-light:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-light.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(248, 249, 250, 0.5);
  }
  
  .btnx-dark {
	color: #fff;
	background-color: #343a40;
	border-color: #343a40;
  }
  
  .btnx-dark:hover {
	color: #fff;
	background-color: #23272b;
	border-color: #1d2124;
  }
  
  .btnx-dark:focus, .btnx-dark.focus {
	box-shadow: 0 0 0 0.2rem rgba(52, 58, 64, 0.5);
  }
  
  .btnx-dark.disabled, .btnx-dark:disabled {
	color: #fff;
	background-color: #343a40;
	border-color: #343a40;
  }
  
  .btnx-dark:not(:disabled):not(.disabled):active, .btnx-dark:not(:disabled):not(.disabled).active,
  .show > .btnx-dark.dropdown-toggle {
	color: #fff;
	background-color: #1d2124;
	border-color: #171a1d;
  }
  
  .btnx-dark:not(:disabled):not(.disabled):active:focus, .btnx-dark:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-dark.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(52, 58, 64, 0.5);
  }
  
  .btnx-outline-primary {
	color: #007bff;
	background-color: transparent;
	background-image: none;
	border-color: #007bff;
  }
  
  .btnx-outline-primary:hover {
	color: #fff;
	background-color: #007bff;
	border-color: #007bff;
  }
  
  .btnx-outline-primary:focus, .btnx-outline-primary.focus {
	box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.5);
  }
  
  .btnx-outline-primary.disabled, .btnx-outline-primary:disabled {
	color: #007bff;
	background-color: transparent;
  }
  
  .btnx-outline-primary:not(:disabled):not(.disabled):active, .btnx-outline-primary:not(:disabled):not(.disabled).active,
  .show > .btnx-outline-primary.dropdown-toggle {
	color: #fff;
	background-color: #007bff;
	border-color: #007bff;
  }
  
  .btnx-outline-primary:not(:disabled):not(.disabled):active:focus, .btnx-outline-primary:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-outline-primary.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.5);
  }
  
  .btnx-outline-secondary {
	color: #6c757d;
	background-color: transparent;
	background-image: none;
	border-color: #6c757d;
  }
  
  .btnx-outline-secondary:hover {
	color: #fff;
	background-color: #6c757d;
	border-color: #6c757d;
  }
  
  .btnx-outline-secondary:focus, .btnx-outline-secondary.focus {
	box-shadow: 0 0 0 0.2rem rgba(108, 117, 125, 0.5);
  }
  
  .btnx-outline-secondary.disabled, .btnx-outline-secondary:disabled {
	color: #6c757d;
	background-color: transparent;
  }
  
  .btnx-outline-secondary:not(:disabled):not(.disabled):active, .btnx-outline-secondary:not(:disabled):not(.disabled).active,
  .show > .btnx-outline-secondary.dropdown-toggle {
	color: #fff;
	background-color: #6c757d;
	border-color: #6c757d;
  }
  
  .btnx-outline-secondary:not(:disabled):not(.disabled):active:focus, .btnx-outline-secondary:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-outline-secondary.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(108, 117, 125, 0.5);
  }
  
  .btnx-outline-success {
	color: #28a745;
	background-color: transparent;
	background-image: none;
	border-color: #28a745;
  }
  
  .btnx-outline-success:hover {
	color: #fff;
	background-color: #28a745;
	border-color: #28a745;
  }
  
  .btnx-outline-success:focus, .btnx-outline-success.focus {
	box-shadow: 0 0 0 0.2rem rgba(40, 167, 69, 0.5);
  }
  
  .btnx-outline-success.disabled, .btnx-outline-success:disabled {
	color: #28a745;
	background-color: transparent;
  }
  
  .btnx-outline-success:not(:disabled):not(.disabled):active, .btnx-outline-success:not(:disabled):not(.disabled).active,
  .show > .btnx-outline-success.dropdown-toggle {
	color: #fff;
	background-color: #28a745;
	border-color: #28a745;
  }
  
  .btnx-outline-success:not(:disabled):not(.disabled):active:focus, .btnx-outline-success:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-outline-success.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(40, 167, 69, 0.5);
  }
  
  .btnx-outline-info {
	color: #17a2b8;
	background-color: transparent;
	background-image: none;
	border-color: #17a2b8;
  }
  
  .btnx-outline-info:hover {
	color: #fff;
	background-color: #17a2b8;
	border-color: #17a2b8;
  }
  
  .btnx-outline-info:focus, .btnx-outline-info.focus {
	box-shadow: 0 0 0 0.2rem rgba(23, 162, 184, 0.5);
  }
  
  .btnx-outline-info.disabled, .btnx-outline-info:disabled {
	color: #17a2b8;
	background-color: transparent;
  }
  
  .btnx-outline-info:not(:disabled):not(.disabled):active, .btnx-outline-info:not(:disabled):not(.disabled).active,
  .show > .btnx-outline-info.dropdown-toggle {
	color: #fff;
	background-color: #17a2b8;
	border-color: #17a2b8;
  }
  
  .btnx-outline-info:not(:disabled):not(.disabled):active:focus, .btnx-outline-info:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-outline-info.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(23, 162, 184, 0.5);
  }
  
  .btnx-outline-warning {
	color: #ffc107;
	background-color: transparent;
	background-image: none;
	border-color: #ffc107;
  }
  
  .btnx-outline-warning:hover {
	color: #212529;
	background-color: #ffc107;
	border-color: #ffc107;
  }
  
  .btnx-outline-warning:focus, .btnx-outline-warning.focus {
	box-shadow: 0 0 0 0.2rem rgba(255, 193, 7, 0.5);
  }
  
  .btnx-outline-warning.disabled, .btnx-outline-warning:disabled {
	color: #ffc107;
	background-color: transparent;
  }
  
  .btnx-outline-warning:not(:disabled):not(.disabled):active, .btnx-outline-warning:not(:disabled):not(.disabled).active,
  .show > .btnx-outline-warning.dropdown-toggle {
	color: #212529;
	background-color: #ffc107;
	border-color: #ffc107;
  }
  
  .btnx-outline-warning:not(:disabled):not(.disabled):active:focus, .btnx-outline-warning:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-outline-warning.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(255, 193, 7, 0.5);
  }
  
  .btnx-outline-danger {
	color: #dc3545;
	background-color: transparent;
	background-image: none;
	border-color: #dc3545;
  }
  
  .btnx-outline-danger:hover {
	color: #fff;
	background-color: #dc3545;
	border-color: #dc3545;
  }
  
  .btnx-outline-danger:focus, .btnx-outline-danger.focus {
	box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.5);
  }
  
  .btnx-outline-danger.disabled, .btnx-outline-danger:disabled {
	color: #dc3545;
	background-color: transparent;
  }
  
  .btnx-outline-danger:not(:disabled):not(.disabled):active, .btnx-outline-danger:not(:disabled):not(.disabled).active,
  .show > .btnx-outline-danger.dropdown-toggle {
	color: #fff;
	background-color: #dc3545;
	border-color: #dc3545;
  }
  
  .btnx-outline-danger:not(:disabled):not(.disabled):active:focus, .btnx-outline-danger:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-outline-danger.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.5);
  }
  
  .btnx-outline-light {
	color: #f8f9fa;
	background-color: transparent;
	background-image: none;
	border-color: #f8f9fa;
  }
  
  .btnx-outline-light:hover {
	color: #212529;
	background-color: #f8f9fa;
	border-color: #f8f9fa;
  }
  
  .btnx-outline-light:focus, .btnx-outline-light.focus {
	box-shadow: 0 0 0 0.2rem rgba(248, 249, 250, 0.5);
  }
  
  .btnx-outline-light.disabled, .btnx-outline-light:disabled {
	color: #f8f9fa;
	background-color: transparent;
  }
  
  .btnx-outline-light:not(:disabled):not(.disabled):active, .btnx-outline-light:not(:disabled):not(.disabled).active,
  .show > .btnx-outline-light.dropdown-toggle {
	color: #212529;
	background-color: #f8f9fa;
	border-color: #f8f9fa;
  }
  
  .btnx-outline-light:not(:disabled):not(.disabled):active:focus, .btnx-outline-light:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-outline-light.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(248, 249, 250, 0.5);
  }
  
  .btnx-outline-dark {
	color: #343a40;
	background-color: transparent;
	background-image: none;
	border-color: #343a40;
  }
  
  .btnx-outline-dark:hover {
	color: #fff;
	background-color: #343a40;
	border-color: #343a40;
  }
  
  .btnx-outline-dark:focus, .btnx-outline-dark.focus {
	box-shadow: 0 0 0 0.2rem rgba(52, 58, 64, 0.5);
  }
  
  .btnx-outline-dark.disabled, .btnx-outline-dark:disabled {
	color: #343a40;
	background-color: transparent;
  }
  
  .btnx-outline-dark:not(:disabled):not(.disabled):active, .btnx-outline-dark:not(:disabled):not(.disabled).active,
  .show > .btnx-outline-dark.dropdown-toggle {
	color: #fff;
	background-color: #343a40;
	border-color: #343a40;
  }
  
  .btnx-outline-dark:not(:disabled):not(.disabled):active:focus, .btnx-outline-dark:not(:disabled):not(.disabled).active:focus,
  .show > .btnx-outline-dark.dropdown-toggle:focus {
	box-shadow: 0 0 0 0.2rem rgba(52, 58, 64, 0.5);
  }
  
  .btnx-link {
	font-weight: 400;
	color: #007bff;
	background-color: transparent;
  }
  
  .btnx-link:hover {
	color: #0056b3;
	text-decoration: underline;
	background-color: transparent;
	border-color: transparent;
  }
  
  .btnx-link:focus, .btnx-link.focus {
	text-decoration: underline;
	border-color: transparent;
	box-shadow: none;
  }
  
  .btnx-link:disabled, .btnx-link.disabled {
	color: #6c757d;
  }
  
  .btnx-lg, .btnx-group-lg > .btnx {
	padding: 0.5rem 1rem;
	font-size: 1.25rem;
	line-height: 1.5;
	border-radius: 0.3rem;
  }
  
  .btnx-sm, .btnx-group-sm > .btnx {
	padding: 0.25rem 0.5rem;
	font-size: 0.875rem;
	line-height: 1.5;
	border-radius: 0.2rem;
  }
  
  .btnx-block {
	display: block;
	width: 100%;
  }
  
  .btnx-block + .btnx-block {
	margin-top: 0.5rem;
  }
  



  
@-webkit-keyframes progressx-bar-stripes {
    from {
      background-position: 1rem 0;
    }
    to {
      background-position: 0 0;
    }
  }
  
  @keyframes progressx-bar-stripes {
    from {
      background-position: 1rem 0;
    }
    to {
      background-position: 0 0;
    }
  }
  
  .progressx {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: 1rem;
    overflow: hidden;
    font-size: 0.75rem;
    background-color: #e9ecef;
    border-radius: 0.25rem;
  }
  
  .progressx-bar {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    color: #fff;
    text-align: center;
    background-color: #007bff;
    transition: width 0.6s ease;
  }
  
  .progressx-bar-striped {
    background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-size: 1rem 1rem;
  }
  
  .progressx-bar-animated {
    -webkit-animation: progressx-bar-stripes 1s linear infinite;
    animation: progressx-bar-stripes 1s linear infinite;
  }
  



